/*
 * Copyright 2019 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v5.0
processor: K32L3A60xxx
package_id: K32L3A60VPJ1A
mcu_data: ksdk2_0
processor_version: 0.0.1
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm4, enableClock: 'true'}
- pin_list:
  - {pin_num: N2, peripheral: LPUART0, signal: RX, pin_signal: LPCMP0_IN0/PTC7/LLWU_P15/LPSPI0_PCS3/LPUART0_RX/LPI2C1_HREQ/TPM0_CH0/LPTMR1_ALT1}
  - {pin_num: P3, peripheral: LPUART0, signal: TX, pin_signal: LPCMP0_IN1/PTC8/LPSPI0_SCK/LPUART0_TX/LPI2C0_HREQ/TPM0_CH1}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void)
{
    /* Clock Gate Control: Clock enabled. The current clock selection and divider options are locked. */
    CLOCK_EnableClock(kCLOCK_PortC);

    /* PORTC7 (pin N2) is configured as LPUART0_RX */
    PORT_SetPinMux(PORTC, 7U, kPORT_MuxAlt3);

    /* PORTC8 (pin P3) is configured as LPUART0_TX */
    PORT_SetPinMux(PORTC, 8U, kPORT_MuxAlt3);
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
LPSPI0_InitPins:
- options: {callFromInitBoot: 'false', coreID: cm4, enableClock: 'true'}
- pin_list:
  - {pin_num: E2, peripheral: LPSPI0, signal: IN, pin_signal: ADC0_SE2/PTB7/LLWU_P8/LPSPI0_SIN/LPI2C1_SDAS/SAI0_RX_FS/FB_AD6/TPM0_CH5}
  - {pin_num: D2, peripheral: LPSPI0, signal: OUT, pin_signal: PTB5/LPSPI0_SOUT/LPUART1_RTS_b/SAI0_MCLK/FB_AD8/TPM0_CH3}
  - {pin_num: C2, peripheral: LPSPI0, signal: SCK, pin_signal: ADC0_SE1/PTB4/LLWU_P6/LPSPI0_SCK/LPUART1_CTS_b/SAI0_TX_BCLK/FB_AD9/TPM0_CH2}
  - {pin_num: E1, peripheral: LPSPI0, signal: PCS2, pin_signal: PTB6/LLWU_P7/LPSPI0_PCS2/LPI2C1_SDA/SAI0_RX_BCLK/FB_AD7/TPM0_CH4}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : LPSPI0_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void LPSPI0_InitPins(void)
{
    /* Clock Gate Control: Clock enabled. The current clock selection and divider options are locked. */
    CLOCK_EnableClock(kCLOCK_PortB);

    /* PORTB4 (pin C2) is configured as LPSPI0_SCK */
    PORT_SetPinMux(PORTB, 4U, kPORT_MuxAlt2);

    /* PORTB5 (pin D2) is configured as LPSPI0_SOUT */
    PORT_SetPinMux(PORTB, 5U, kPORT_MuxAlt2);

    /* PORTB6 (pin E1) is configured as LPSPI0_PCS2 */
    PORT_SetPinMux(PORTB, 6U, kPORT_MuxAlt2);

    /* PORTB7 (pin E2) is configured as LPSPI0_SIN */
    PORT_SetPinMux(PORTB, 7U, kPORT_MuxAlt2);
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
LPSPI0_DeinitPins:
- options: {callFromInitBoot: 'false', coreID: cm4, enableClock: 'true'}
- pin_list:
  - {pin_num: C2, peripheral: GPIOB, signal: 'GPIO, 4', pin_signal: ADC0_SE1/PTB4/LLWU_P6/LPSPI0_SCK/LPUART1_CTS_b/SAI0_TX_BCLK/FB_AD9/TPM0_CH2}
  - {pin_num: E2, peripheral: GPIOB, signal: 'GPIO, 7', pin_signal: ADC0_SE2/PTB7/LLWU_P8/LPSPI0_SIN/LPI2C1_SDAS/SAI0_RX_FS/FB_AD6/TPM0_CH5}
  - {pin_num: E1, peripheral: n/a, signal: disabled, pin_signal: PTB6/LLWU_P7/LPSPI0_PCS2/LPI2C1_SDA/SAI0_RX_BCLK/FB_AD7/TPM0_CH4}
  - {pin_num: D2, peripheral: n/a, signal: disabled, pin_signal: PTB5/LPSPI0_SOUT/LPUART1_RTS_b/SAI0_MCLK/FB_AD8/TPM0_CH3}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : LPSPI0_DeinitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void LPSPI0_DeinitPins(void)
{
    /* Clock Gate Control: Clock enabled. The current clock selection and divider options are locked. */
    CLOCK_EnableClock(kCLOCK_PortB);

    /* PORTB4 (pin C2) is configured as PTB4 */
    PORT_SetPinMux(PORTB, 4U, kPORT_MuxAsGpio);

    /* PORTB5 (pin D2) is disabled */
    PORT_SetPinMux(PORTB, 5U, kPORT_PinDisabledOrAnalog);

    /* PORTB6 (pin E1) is disabled */
    PORT_SetPinMux(PORTB, 6U, kPORT_PinDisabledOrAnalog);

    /* PORTB7 (pin E2) is configured as PTB7 */
    PORT_SetPinMux(PORTB, 7U, kPORT_MuxAsGpio);
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
LPSPI3_InitPins:
- options: {callFromInitBoot: 'false', coreID: cm4, enableClock: 'true'}
- pin_list:
  - {pin_num: A3, peripheral: LPSPI3, signal: IN, pin_signal: PTA27/LPUART1_CTS_b/LPSPI3_SIN/FB_AD29}
  - {pin_num: F7, peripheral: LPSPI3, signal: PCS1, pin_signal: PTA17/LPI2C2_HREQ/LPSPI3_PCS1/EMVSIM0_CLK/FB_AD21}
  - {pin_num: D7, peripheral: LPSPI3, signal: SCK, pin_signal: PTA19/LPSPI2_PCS3/LPSPI3_SCK/EMVSIM0_VCCEN/FB_AD19/TPM2_CH5}
  - {pin_num: B5, peripheral: LPSPI3, signal: OUT, pin_signal: PTA25/LPUART1_RX/LPSPI3_SOUT/LPI2C2_SDAS/FB_AD31}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : LPSPI3_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void LPSPI3_InitPins(void)
{
    /* Clock Gate Control: Clock enabled. The current clock selection and divider options are locked. */
    CLOCK_EnableClock(kCLOCK_PortA);

    /* PORTA17 (pin F7) is configured as LPSPI3_PCS1 */
    PORT_SetPinMux(PORTA, 17U, kPORT_MuxAlt3);

    /* PORTA19 (pin D7) is configured as LPSPI3_SCK */
    PORT_SetPinMux(PORTA, 19U, kPORT_MuxAlt3);

    /* PORTA25 (pin B5) is configured as LPSPI3_SOUT */
    PORT_SetPinMux(PORTA, 25U, kPORT_MuxAlt3);

    /* PORTA27 (pin A3) is configured as LPSPI3_SIN */
    PORT_SetPinMux(PORTA, 27U, kPORT_MuxAlt3);
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
LPSPI3_DeinitPins:
- options: {callFromInitBoot: 'false', coreID: cm4, enableClock: 'true'}
- pin_list:
  - {pin_num: A3, peripheral: n/a, signal: disabled, pin_signal: PTA27/LPUART1_CTS_b/LPSPI3_SIN/FB_AD29}
  - {pin_num: B5, peripheral: n/a, signal: disabled, pin_signal: PTA25/LPUART1_RX/LPSPI3_SOUT/LPI2C2_SDAS/FB_AD31}
  - {pin_num: D7, peripheral: n/a, signal: disabled, pin_signal: PTA19/LPSPI2_PCS3/LPSPI3_SCK/EMVSIM0_VCCEN/FB_AD19/TPM2_CH5}
  - {pin_num: F7, peripheral: n/a, signal: disabled, pin_signal: PTA17/LPI2C2_HREQ/LPSPI3_PCS1/EMVSIM0_CLK/FB_AD21}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : LPSPI3_DeinitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void LPSPI3_DeinitPins(void)
{
    /* Clock Gate Control: Clock enabled. The current clock selection and divider options are locked. */
    CLOCK_EnableClock(kCLOCK_PortA);

    /* PORTA17 (pin F7) is disabled */
    PORT_SetPinMux(PORTA, 17U, kPORT_PinDisabledOrAnalog);

    /* PORTA19 (pin D7) is disabled */
    PORT_SetPinMux(PORTA, 19U, kPORT_PinDisabledOrAnalog);

    /* PORTA25 (pin B5) is disabled */
    PORT_SetPinMux(PORTA, 25U, kPORT_PinDisabledOrAnalog);

    /* PORTA27 (pin A3) is disabled */
    PORT_SetPinMux(PORTA, 27U, kPORT_PinDisabledOrAnalog);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
